package cn.com.poc.ai_software_copyright.dto;

import java.util.List;
import java.util.Map;

import cn.com.poc.ai_software_copyright.contant.AiSoftWareCopyRightEnum;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author alex.yao
 * @date 2025/12/25
 */
public class SoftwareCopyRightAssistantDto {

    private List<String> fileUrls;

    private String question;

    private AiSoftWareCopyRightEnum.AI_ASSISTANT_TYPE type;

    private Map<String, Object> data;

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public AiSoftWareCopyRightEnum.AI_ASSISTANT_TYPE getType() {
        return type;
    }

    public void setType(AiSoftWareCopyRightEnum.AI_ASSISTANT_TYPE type) {
        this.type = type;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public Map<String, Object> getData() {
        return data;
    }

    public void setData(Map<String, Object> data) {
        this.data = data;
    }
}
